<?xml version="1.0"?>
<doc>
<assembly>
<name>
JobClient.ApplicationBuilder
</name>
</assembly>
<members>
<member name="M:JF.PlmJobManager.JobClient.ApplicationBuilder.BuildAndRun(System.Collections.ObjectModel.ReadOnlyCollection{System.String},JF.PlmJobManager.JobClient.UI.IUserInterface)">
 <summary>
 Registriert die Interfaces und Implementationen
 Erstellt alle nötigen Komponenten und Threads
 Verdrahtet die EBC-Componenten
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.ApplicationBuilder.TryExecuteOnStart(System.String,System.String)">
 <summary>
 Tries to execute a program with arguments, logs on failure
 </summary>
 <remarks>
 #New: 3.2000;04.02.2025;A.Becker
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.ApplicationBuilder.ExecuteOnStart(System.String,System.String)">
 <summary>
 Executes a program with arguments
 </summary>
 <remarks>
 #New: 3.2000;04.02.2025;A.Becker
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.ApplicationBuilder.Shutdown">
 <summary>
 Stoppt die laufenden Threads
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.ApplicationBuilder.LogTarget_ApplDefOutxx(System.String,System.String,System.String,System.String)">
 <summary>
 Methode wird von NLog aufgerufen und leitet die Info-Logs an die UI weiter
 <see cref="M:JF.PlmJobManager.JobClient.ApplicationBuilder.BuildAndRun(System.Collections.ObjectModel.ReadOnlyCollection{System.String},JF.PlmJobManager.JobClient.UI.IUserInterface)"/>
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.SingleInstanceLock.Dispose">
 <summary>Führt anwendungsspezifische Aufgaben durch, die mit der Freigabe, der Zurückgabe oder dem Zurücksetzen von nicht verwalteten Ressourcen zusammenhängen.</summary>
</member>
</members>
</doc>
